---
description: Docker extension API reference
keywords: Docker, extensions, sdk, API, reference
---

# Interface: Extension

**`Since`**

0.2.0

## Properties

### vm

• `Optional` `Readonly` **vm**: [`ExtensionVM`](ExtensionVM.md)

___

### host

• `Optional` `Readonly` **host**: [`ExtensionHost`](ExtensionHost.md)

___

### image

• `Readonly` **image**: `string`

**`Since`**

0.3.3
